com.google.gwt.user.cellview.client

## Interface HasKeyboardPagingPolicy

All Superinterfaces:
  HasKeyboardSelectionPolicy

All Known Implementing Classes:
  AbstractCellTable, AbstractHasData, CellBrowser.BrowserCellList, CellList, CellTable, DataGrid, HasDataPresenter

    public interface HasKeyboardPagingPolicy
    extends HasKeyboardSelectionPolicy

Implemented by widgets that have a `HasKeyboardPagingPolicy.KeyboardPagingPolicy`.

### Nested Class Summary

Nested Classes
`static class` `HasKeyboardPagingPolicy.KeyboardPagingPolicy` The policy that determines how keyboard paging will work.

### Nested classes/interfaces inherited from interface com.google.gwt.user.cellview.client.HasKeyboardSelectionPolicy

`HasKeyboardSelectionPolicy.KeyboardSelectionPolicy`

### Method Summary

All Methods Instance Methods Abstract Methods
`HasKeyboardPagingPolicy.KeyboardPagingPolicy` `getKeyboardPagingPolicy()` Get the `HasKeyboardPagingPolicy.KeyboardPagingPolicy`.
`void` `setKeyboardPagingPolicy(HasKeyboardPagingPolicy.KeyboardPagingPolicy policy)` Set the `HasKeyboardPagingPolicy.KeyboardPagingPolicy`.

### Methods inherited from interface com.google.gwt.user.cellview.client.HasKeyboardSelectionPolicy

`getKeyboardSelectionPolicy, setKeyboardSelectionPolicy`

### Method Detail

#### getKeyboardPagingPolicy

    HasKeyboardPagingPolicy.KeyboardPagingPolicy getKeyboardPagingPolicy()

Get the `HasKeyboardPagingPolicy.KeyboardPagingPolicy`.

Returns:
  the paging policy
See Also:
  `setKeyboardPagingPolicy(KeyboardPagingPolicy)`

#### setKeyboardPagingPolicy

    void setKeyboardPagingPolicy(HasKeyboardPagingPolicy.KeyboardPagingPolicy policy)

Set the `HasKeyboardPagingPolicy.KeyboardPagingPolicy`.

Parameters:
  `policy` - the paging policy
See Also:
  `getKeyboardPagingPolicy()`